summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/chgrp
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/basic4
-rwxr-xr-xtests/chgrp/deref6
-rwxr-xr-xtests/chgrp/recurse4
3 files changed, 7 insertions, 7 deletions
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index 6d717fc84..b0967aae1 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -21,7 +21,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -110,4 +110,4 @@ EOF
cmp expected actual \
|| { diff expected actual 1>&2; fail=1; }
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index 2b947ae14..5e605bfa6 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -19,7 +19,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
set _ $groups; shift
@@ -37,7 +37,7 @@ test "$g" = $g2 || {
$0: skipping this test; your system doesn't support changing
the owner or group of a symbolic link.
EOF
- (exit 77); exit
+ (exit 77); exit 77
}
fail=0
@@ -64,4 +64,4 @@ chgrp --dereference $g1 symlink
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail
diff --git a/tests/chgrp/recurse b/tests/chgrp/recurse
index 0bd648290..05aaa08d4 100755
--- a/tests/chgrp/recurse
+++ b/tests/chgrp/recurse
@@ -19,7 +19,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
set _ $groups; shift
@@ -53,4 +53,4 @@ set _ `ls -l e/ee`; g=$5; test "$g" = $g2 || fail=1
# But it *should* change d/dd.
set _ `ls -l d/dd`; g=$5; test "$g" = $g1 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail